# ConstructedAsn1Type type

class pyasn1.type.base.ConstructedAsn1Type(tagSet=TagSet(), subtypeSpec=ConstraintsIntersection(), componentType=None)

  Base class for all constructed classes representing ASN.1 types.

  ASN.1 distinguishes types by their ability to hold other objects. Those “nesting” types are known as constructed in ASN.1.

  In the user code, ConstructedAsn1Type class is normally used only for telling ASN.1 objects from others.

  Note

  For as long as ASN.1 is concerned, a way to compare ASN.1 types is to use `isSameTypeWith()` and `isSuperTypeOf()` methods.

  isSameTypeWith(other, matchTags=True, matchConstraints=True)

    Examine ConstructedAsn1Type type for equality with other ASN.1 type.

    ASN.1 tags (`tag`) and constraints (`constraint`) are examined when carrying out ASN.1 types comparison.

    Python class inheritance relationship is NOT considered.

    Parameters

      other (a pyasn1 type object) – Class instance representing ASN.1 type.

    Returns

      `bool` – `True` if other is ConstructedAsn1Type type, `False` otherwise.

  isSuperTypeOf(other, matchTags=True, matchConstraints=True)

    Examine ConstructedAsn1Type type for subtype relationship with other ASN.1 type.

    ASN.1 tags (`tag`) and constraints (`constraint`) are examined when carrying out ASN.1 types comparison.

    Python class inheritance relationship is NOT considered.

    Parameters

      other (a pyasn1 type object) – Class instance representing ASN.1 type.

    Returns

      `bool` – `True` if other is a subtype of ConstructedAsn1Type type, `False` otherwise.

  property effectiveTagSet

    For ConstructedAsn1Type type is equivalent to tagSet

  property tagMap

    Return a `TagMap` object mapping ASN.1 tags to ASN.1 objects within callee object.